import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.*;

// crea una finestra con una area di testo che viene riempita quando
// si preme un bottone. L'area di testo sara' dotata di barre
// di scorrimento
public class Scrollabile extends JFrame implements ActionListener {

	// l'area di testo e il bottone
	private JTextArea textarea;
	private JButton bottone;
	
	// main...
	public static void main(String[] args) {
	  Scrollabile s = new Scrollabile();	
	}
		
	// costruttore
	public Scrollabile() {
		// crea la finestra
		super("Prova");
		this.setSize(400,300);
		this.setLocationRelativeTo(null);
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		// crea l'area di testo (10 righe e 30 colonne)
		textarea = new JTextArea(10,30);
		textarea.setText("Ciao");
		// aggiunge le barre di scorrimento
		// (compariranno solo quando necessario)
		JScrollPane scrollpanel = new JScrollPane(textarea);
		
		// bottone
		bottone = new JButton("Premi qui");
		bottone.addActionListener(this);
		
		// pannello contenitore
		JPanel panel = new JPanel();
		panel.add(scrollpanel);
		panel.add(bottone);
		
		// visualizza tutto
		this.add(panel);
		this.setVisible(true);
	}

	public void actionPerformed(ActionEvent e) {
		for (int i=0; i<40; i++)
			this.textarea.append("\nriga " + i);
	} 	

}
